routes/admin.php
<?php
// Emails tests
// Route::get('mailable', function () {
//     $user = App\User::find(1);
//     return new App\Mail\AdminNewUser($user);
// });
// Admin specific routes
Route::get('/', ['as' => 'root', 'uses' => 'ShowsController@index']);
Route::get('users/getdata', 'UsersController@getDataTable')->name('users.getdata');
Route::resource('users', 'UsersController');
Route::get('roles/getdata', 'RoleController@getDataTable')->name('roles.getdata');
Route::resource('roles', 'RoleController');
Route::get('permissions/getdata', 'PermissionController@getDataTable')->name('permissions.getdata');
Route::resource('permissions', 'PermissionController');
Route::resource('roles', 'RoleController');
// Shows
Route::get('shows/getdata', 'ShowsController@getDataTable')->name('shows.getdata');
Route::resource('shows', 'ShowsController');
// Residents
Route::get('residents/getdata', 'ResidentsController@getDataTable')->name('residents.getdata');
Route::resource('residents', 'ResidentsController');
//settings
Route::resource('settings', 'SettingsController');
// Taxonomies
Route::get('taxonomies/getdata', 'TaxonomiesController@getDataTable')->name('taxonomies.getdata');
Route::resource('taxonomies', 'TaxonomiesController', ['except' => ['create']]);
Route::get('taxonomies/create/{parent_id}', 'TaxonomiesController@create')->name('taxonomies.create');
Route::post('taxonomies/reorder/{id}', 'TaxonomiesController@reorder')->name('taxonomies.reorder');
Route::post('{table_type}/reorder', 'AdminController@orderObject')->name('reorder');
// Medias
Route::get('medias/getdata', 'MediasController@getDataTable')->name('medias.getdata');
Route::delete('medias/quickdestroy', 'MediasController@quickDestroy')->name('medias.quickdestroy');
Route::resource('medias', 'MediasController');
Route::get('mediasArticle/{model_type}/{model_id}/{collection_name}', 'MediasController@mediasArticle')->name('medias.article');
Route::post('medias/storeandlink/{mediatable_type}/{article_id?}', 'MediasController@storeAndLink')->name('medias.storeandlink');
Route::post('medias/reorder/{model_type}/{article_id}/{collection_name}', 'MediasController@reorder')->name('medias.reorder');
// Route::post('medias/get', 'MediasController@getFromArray');
Route::post('medias/ajaxUpdate/{mediatable_type}', 'MediasController@AjaxUpdate')->name('medias.ajaxupdate');
Route::post('fileupload', 'MediasController@fileUpload')->name('fileupload');
// Events
Route::get('events/{parent_id}/getdata', 'EventsController@getDataTable')->name('events.getdata');
Route::resource('events', 'EventsController', ['except' => ['create', 'index']]);
Route::get('events/{parent_id}/create', 'EventsController@create')->name('events.create');
Route::get('events/{parent_id?}/index', 'EventsController@index')->name('events.index');
Route::post('events/reorder/{id}', 'EventsController@reorder')->name('events.reorder');
// Articles
Route::get('articles/getdata', 'ArticlesController@getDataTable')->name('articles.getdata');
Route::resource('articles', 'ArticlesController');
// Videos
Route::get('videos/{parent_id}/getdata', 'VideosController@getDataTable')->name('videos.getdata');
Route::resource('videos', 'VideosController', ['except' => ['create', 'index']]);
Route::get('videos/{parent_id}/create', 'VideosController@create')->name('videos.create');
Route::get('videos/{parent_id?}/index', 'VideosController@index')->name('videos.index');
Route::post('videos/reorder/{id}', 'VideosController@reorder')->name('videos.reorder');
// Banners
Route::get('banners/getdata', 'BannersController@getDataTable')->name('banners.getdata');
Route::resource('banners', 'BannersController');
// Pages
Route::get('pages/{parent_id}/getdata', 'PagesController@getDataTable')->name('pages.getdata');
Route::resource('pages', 'PagesController', ['except' => ['create', 'index']]);
Route::get('pages/{parent_id}/create', 'PagesController@create')->name('pages.create');
Route::get('pages/{parent_id?}/index', 'PagesController@index')->name('pages.index');
Route::post('pages/reorder/{id}', 'PagesController@reorder')->name('pages.reorder');
// Datatables
Route::get('datatable', 'DataTablesController@datatable');
Route::get('datatable/getArticles', 'DataTablesController@getArticles')->name('datatable/getdata');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Auth
Auth::routes();

// Language switcher
Route::get('lang/{language}', ['as' => 'lang.switch', 'uses' => 'LocaleController@switch']);
// Homepage
Route::get('/', 'HomeController@index')->name('homepage');
// Pages index
Route::get('/pages/{article_slug}', 'PagesController@show')->name('pages.show');
Route::get('/about', 'PagesController@about')->name('pages.about');

// Article
Route::get('/interviews', 'ArticlesController@index')->name('articles.index');
Route::get('/interviews/{slug}', 'ArticlesController@show')->name('articles.show');
// Residents
Route::get('/residents', 'ResidentsController@index')->defaults('category', 'the-word')->name('residents.index');
Route::get('/residents/category/{slug}', 'ResidentsController@index')->name('residents.indexbycategory');
Route::get('/residents/{slug}', 'ResidentsController@show')->name('residents.show');
// Shows
Route::get('/shows', 'ShowsController@index')->name('shows.index');
Route::get('/shows/tag/{slug}', 'ShowsController@indexByTag')->name('shows.indexbytags');
Route::get('/residents/{resident_slug}/shows/{slug}', 'ShowsController@show')->name('shows.show');
// Events
Route::get('/agenda', 'EventsController@index')->name('events.index');
Route::get('/agenda/{slug}', 'EventsController@show')->name('events.show');
Route::get('/agenda/single/{slug}', 'EventsController@showSingle')->name('events.single.show');
// Videos
Route::get('/videos/category/{slug}/{parent?}', 'VideosController@index')->name('videos.index');
Route::get('/videos/{slug}', 'VideosController@show')->name('videos.show');
// Search
Route::get('/search', 'HomeController@index')->name('search');
// Tags
Route::get('/tags/{slug}', 'HomeController@index')->name('tags');
// Schedule
Route::get('/schedule', 'HomeController@schedule')->name('schedule');
// Search
Route::get('/search', 'SearchController@search')->name('search');

// Redirects V1
Route::redirect('/series/{resident_slug}/shows/{slug}', '/residents/{resident_slug}/shows/{slug}');
Route::redirect('/series/{resident_slug}', '/residents/{resident_slug}');

app/Article.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use App\Http\Traits\MediaTrait;
use App\Http\Traits\TaxonomyTrait;
use App\Http\Traits\ResidentTrait;
use App\MediaCollection;
use Cviebrock\EloquentSluggable\Sluggable;

class Article extends Model{
  use MediaTrait;
  use TaxonomyTrait;
  use Sluggable;
  protected $table = 'articles';
  protected $fillable = ['title', 'intro', 'text', 'slug', 'created_at', 'order', 'parent_id', 'published', 'featured', 'author'];


  /**
  * Construct : default Locale
  *
  */

  public function __construct(array $attributes = []){
    parent::__construct($attributes);
    $this->addMediaCollection('une', __('admin.featured_image'))->singleFile();
    $this->addMediaCollection('gallery', __('admin.gallery'));
  }


  /**
   * Return the sluggable configuration array for this model.
   *
   * @return array
   */

  public function sluggable(){
    return [
      'slug' => [
        'source' => 'title',
        'onUpdate' => true
      ]
    ];
  }


  /**
   * Add a title if not set
   * @param string  $order
  *
   */

   public function setTitleAttribute($value){
     if(!isset($value) or $value == ''):
      $this->attributes['title'] = null;
     else:
       $this->attributes['title'] = $value;
     endif;
   }

  /**
  * Retourne l'id de l'article sur base du slug
  * @param string  $title
  *
  */

  public static function getSlugFromId($id){
    $article = Article::find($id);
    if($article){
      return $article->slug;
    }
  }


  /**
   * Réécrit la date d'update
   * @param string  $value (date)
	 *
   */
   // TODO: Réécrire la date pour toutes les ressources
  public function getUpdatedAtAttribute($value){
    if(!empty($value)){
      Carbon::setLocale(config('app.locale'));
      $date = Carbon::parse($value)->diffForHumans();
    }else{
      $date = "";
    }
    return $date;
  }


  /**
   * Retourne une liste de catégories associées à l'article
   * Nécessaire pour le dropdown select
   *
   */

   public function getCategoriesAttribute() {
     return $this->taxonomies->pluck('id')->all();
 	 }

  /**
   * Retourne une liste des tags associées à l'article
   * Nécessaire pour le dropdown select
   *
   */

  public function getTagsAttribute() {
    return $this->taxonomies->pluck('id')->all();
  }


  /**
  * Create formated date-time
  */

  public function dateTime($date){
    if(!empty($date)){
      return Carbon::createFromFormat('d.m.Y', $date)->format('Y-m-d');
    }else{
      return null;
    }
  }


  /**
  * Concact model + title for related dropdown
  * @param date  $date
  *
  */

  public function getModelTitleAttribute(){
    $data = get_class().', '.$this->id;
    return $data;
  }


  /**
  * Loop through models that has medias related model
  * Define in config/admin.php
  *
  * @return Articles collection
  */

  static function listAll(){
    $media_models = config('admin.media_models');
    $articles = [];
    if($media_models){
     foreach($media_models as $model){
       $model_name = str_plural(str_replace('App\\','', $model));
       $articles[$model_name] = $model::all()->pluck('title', 'model_title')->toArray();
     }
    }
    return $articles;
  }
}

resources/views/admin/components/___article-media.blade.php
<div class="media" id="panel-{{ $column_name }}">
  <label for="{{ $column_name }}">{{  $panel_title }}</label>
  <?php
    $media = $media_;
    $media_name = (empty($media_))? '' : $media->name;
  ?>
  @if (!empty($media))
    <ul class="list-group">
    @include('admin.components.molecules-media-li')
    </ul>
  @endif
  {!! Form::file($column_name.'_file', ['class' => 'input-single-media-upload']) !!}
  {!! Form::hidden($column_name, $media_name, ['id' => $column_name]) !!}
</div>

resources/views/admin/components/article-form.blade.php
{!! Form::hidden('id', (!empty($article->id))? $article->id : '') !!}
{!! Form::hidden('parent_id', (!empty($article->parent_id) ? $article->parent_id : 0)) !!}
{!! Form::hidden('order', (!empty($article->order))? $article->order : 0) !!}

@foreach ($errors->all() as $error)
    <span class="help-block">{{ $error }}</span>
@endforeach

    {{-- tabs --}}
    <div class="panel-heading">
      <ul class="tab-select">
      @if(count(config('translatable.locales')) > 1 )
        @foreach (config('translatable.locales') as $lang)<li role="presentation" data-tab="{{$lang}}"@if(App::getLocale() == $lang) class="active" @endif>
          <a href="#" role="tab">{{$lang}}</a>
        </li>@endforeach
      @endif
      </ul>
      <div class="edit-details">
        @if(isset($article->id))
        <div class="created_at">
          {!! Form::text('created_at', $article->created_at->format('d.m.Y'), ['class' => 'form-control']) !!}
        </div>
        @endif
        {{-- Is featured ? --}}
        <div class="is-published">
            <label>{!! Form::checkbox('featured', 1, null) !!}<span>Homepage</span></label>
        </div>
        {{-- Is published ? --}}
        <div class="is-published">
            <label>{!! Form::checkbox('published', 1, null) !!}<span>{{__('admin.published')}}</span></label>
        </div>
      </div>
    </div>
    <div class="panel-body">

        {{-- Title --}}
        <div class="form-group {!! $errors->has('title') ? 'has-error' : '' !!}">
          <label for="title">Title</label>
          {!! Form::text('title', (!empty($article->id) && !empty($article->title))? $article->title : old('title'), ['class' => 'form-control', 'placeholder' => 'Title']) !!}
          <span class="slug">
            @if(isset($article->slug))
            <i class="fa fa-link "></i>&nbsp;{{ (!empty($article->id) && !empty( $article->slug))? $article->slug : '' }}
            @endif
          </span>
        </div>
        {{-- Intro --}}
        <div class="form-group {!! $errors->has('intro') ? 'has-error' : '' !!}">
          <label for="intro">Intro</label>
          {!! Form::textarea('intro', (!empty($article->id) && !empty($article->intro))? $article->intro : old('intro'), ['class' => 'form-control', 'placeholder' => 'Introduction', 'rows' => '5']) !!}
        </div>
        {{-- Text --}}
        <div class="form-group {!! $errors->has('text') ? 'has-error' : '' !!}">
          <label for="text">Text</label>
          {!! Form::textarea('text', (!empty($article->id) && !empty($article->text))? $article->text : old('text'), ['class' => 'form-control md-editor', 'id' => 'editor', 'placeholder' => 'Use H3 (###) for question and code(</>) for author']) !!}
        </div>
    </div>
    <div class="panel-body">
      <div class="form-group {!! $errors->has('title') ? 'has-error' : '' !!}">
        <label for="author">Author</label>
        {!! Form::text('author', (!empty($article->id) && !empty($article->author))? $article->author : old('author'), ['class' => 'form-control', 'placeholder' => 'Interview by ...']) !!}
      </div>
  {{-- Taxonomy: tags --}}
  {{-- <div class="form-group"> --}}
    {{-- <label for="tags_general">Tags</label> --}}
    {{-- [2] = parent_id --}}
    {{-- {!! Form::select('taxonomies[2][]', $article->taxonomiesDropdown(2), $article->tags, ['class' => 'form-control select2', 'multiple', 'style' => 'width:100%']) !!} --}}
  {{-- </div> --}}

  {{-- Taxonomy: category --}}
  {{-- <div class="form-group"> --}}
    {{-- <label for="category">Category</label> --}}
    {{-- [1] = parent_id --}}
    {{-- {!! Form::select('taxonomies[1][]', $article->taxonomiesDropdown(1,1), $article->categories, ['class' => 'form-control select2', 'id' => '']) !!} --}}
  {{-- </div> --}}
</div>
@include('admin.components.form-submit')

resources/views/admin/components/datatable-loading.blade.php
<div class="datatable-loading">{{__('admin.loading')}}</div>

resources/views/admin/components/delete-form.blade.php
<a href="#" class="link link--delete" data-toggle="modal" data-target="#confirm-delete"></i> {{ __('admin.delete') }}</a> {{ __('admin.this') }} {{ str_singular($model_name) }}
{!! Form::model($model, ['route' => ['admin.'.$model_name.'.destroy', $model->id], 'method' => 'post', 'class' => 'form-horizontal', 'name' => 'delete-form']) !!}
  {{ Form::hidden('_method', 'DELETE') }}
  <div class="modal fade" id="confirm-delete" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel">{{ __('admin.are_you_sure') }}</h4>
          <div class="modal-btn">
            <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('admin.cancel') }}</button>
            <button type="button" class="btn btn-primary" onclick="document.forms['delete-form'].submit();">{{ __('admin.delete') }}</button>
          </div>
        </div>
      </div>
    </div>
  </div>
{{ Form::close() }}

resources/views/admin/components/editor.blade.php
<style>
  .menubar {
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
    line-height: 0.1;
  }
  .menuicon {
    display: inline-block;
    border-right: 1px solid rgba(0, 0, 0, 0.2);
    color: #888;
    line-height: 1;
    padding: 0 7px;
    margin: 1px;
    cursor: pointer;
    text-align: center;
    min-width: 1.4em;
  }
  .strong, .heading { font-weight: bold; }
  .em { font-style: italic; }

  #editor { padding-top: 0 }
</style>

<div id=editor></div>

<div style="display: none" id=content>
  <h3>Simple editor</h3>
  <p>With a very crude menu bar.
</div>

resources/views/admin/components/flash-message.blade.php
@if(Session::has('flash_message'))
  <div class="alert alert-success">{{ Session::get('flash_message')}}</div>
@endif

resources/views/admin/components/footer.blade.php
<footer class="footer__main">
  <ul>
    <li>Variable Web Admin</li>
    <li><a href="mailto:bonjour@variable.club" class="link">bonjour@variable.club</a></li>
  </ul>
</footer>

resources/views/admin/components/media-edit-modal.blade.php
<div class="modal fade" id="modal-media-edit" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="panel panel-default panel-edit panel-edit--single panel-settings">
        {!! Form::model($article,
        ['route' => ['admin.medias.ajaxupdate', $article->getTable()],
        'method' => 'post',
        'class' => 'form-horizontal media-edit-form',
        'name' => 'media-edit-form',
        'enctype' => 'multipart/form-data']) !!}
        {!! Form::hidden('media_id', '', ['id' => 'input_media_id'])!!}
        {!! Form::hidden('article_id', $article->id)!!}
        <div class="panel-heading">
          <div class="edit__header">
            <h1 class="edit__title">Edit media</h1>
          </div>
        </div>
        <div class="panel-body" id="modal-body">
          <div class="file">
            <img src="" id="pic">
            <a href="" id="file" target="_blank"></a>
            <video controls id="vid">
              <source src="" type="video/mp4">
            </video>
          </div>
          <div class="form-group">
            <label for="alt">Name</label>
            <input class="form-control" name="name" type="text" value="" id="input_media_alt">
          </div>
          <div class="form-group">
            <?php // TODO: TRanslate Media fields (cf Nestwork) ?>
            <label for="description">Description</label>
            <textarea class="form-control" placeholder="Intro" rows="5" name="description" id="input_media_description"></textarea>
          </div>
          <div class="form-group">
            {{-- [2] = parent_id --}}
            {{-- {!! Form::select('taxonomies[2][]', $article->taxonomiesDropdown(2), $article->tags, ['class' => 'form-control select2', 'multiple', 'style' => 'width:100%']) !!} --}}
          </div>
          <div class="form-group">
            {{-- [1] = parent_id --}}
            {{-- {!! Form::select('taxonomies[1][]', $article->taxonomiesDropdown(1,1), $article->category, ['class' => 'form-control select2', 'style' => 'width:100%', 'id' => '']) !!} --}}
          </div>
        </div>
        <div class="submit panel-action btn-container">
          <button type="button" class="btn btn-primary media-edit-save" data-dismiss="modal">{{__('admin.save')}}</button>
          <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('admin.cancel') }}</button>
        </div>
        {{ Form::close() }}
      </div>
    </div>
  </div>
</div>

resources/views/admin/components/navigation-primary.blade.php
<nav class="navbar navbar--fixed-top nav--primary">
    <div class="navbar__nav">
      <a class="navbar__brand" href="{{ url('/admin') }}">
      </a>
      <ul class="navbar__list navbar__list--left">
        @can('Admin articles')
          @foreach(buildAdminNav() as $primary_nav)
          <li class="@if (strpos($data['page_id'], $primary_nav['title']) !== false) active @endif">{!! link_to_route($primary_nav['name'], ucfirst($primary_nav['title']), 0) !!}</li>
          @endforeach
        @endcan
      </ul>
      <!-- Right Side Of Navbar -->
      <ul class="navbar__list navbar__list--right">
        {{-- <!-- Authentication Links --> --}}
        @if (Auth::guest())
          <li><a href="{{ url('/login') }}">{{__('admin.login')}}</a></li>
          <li><a href="{{ url('/register') }}">{{__('admin.register')}}</a></li>
        @else
          <li class="js-dropdown-toggle tools">
            <a role="button">
              {{ __('admin.tools') }}&nbsp;<i class="fa fa-angle-down js-dropdown-icon"></i>
            </a>
            <ul class="js-dropdown-content" role="menu">
              @can('Admin medias')
              <li class="nav-item">
                <?php $medias_active = (strpos($data['page_id'], 'medias') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.medias.index', 'Medias', '', ['class' => $medias_active] ) !!}
              </li>
              @endcan
              @can('Admin categories')
              <li class="nav-item">
                <?php $categories_active = (strpos($data['page_id'], 'taxonomies') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.taxonomies.index', 'Categories', '', ['class' => $categories_active] ) !!}
              </li>
              @endcan
              @can('Admin users')
              <li class="nav-item">
                <?php $users_active = (strpos($data['page_id'], 'users') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.users.index', __('admin.users'), '', ['class' => $users_active] ) !!}
              </li>
              @endcan
              @can('Admin users')
              <li class="nav-item">
                <?php $roles_active = (strpos($data['page_id'], 'roles') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.roles.index', 'Roles & Permissions', '', ['class' => $roles_active] ) !!}
              </li>
              @endcan
              @can('Admin settings')
              <li class="nav-item">
                <?php $settings_active = (strpos($data['page_id'], 'settings') !== false) ? 'active' : ''; ?>
                {!! link_to_route('admin.settings.index', __('admin.settings'), '', ['class' => $settings_active] ) !!}
              </li>
              @endcan
            </ul>
          </li>
          <li class="js-dropdown-toggle">
            <a role="button">
              {{ Auth::user()->name }}&nbsp;<i class="fa fa-angle-down js-dropdown-icon"></i>
            </a>
            <ul class="js-dropdown-content" role="menu">
              <li><a href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">{{__('admin.logout')}}</a></li>
              {{-- lang --}}
              {{-- @if(count(config('translatable.locales')) > 1 )
                @foreach (config('translatable.locales') as $lang)
                  @if (app()->getLocale() !=  $lang)
                  <li class="lang__item"><a href="{{ route('lang.switch', $lang) }}" class="lang__link">{{ $lang }}</a></li>
                   @endif
                @endforeach
              @endif --}}
            </ul>
          </li>

        @endif
      </ul>
    </div>
</nav>
<nav class="navbar nav--secondary">
  <div class="js-dropdown-menu">

  </div>
</nav>
{{-- Logout form since Lrvl 5.3 arr This prevents other web applications from logging your users out of your application. --}}
<form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">{{ csrf_field() }}</form>

resources/views/admin/components/nestedset-node.blade.php
<li>
  <div class="dd-content @if($node->parent_id == null) root @endif">
    {!! link_to_route('admin.pages.edit', $node->title, $node->id) !!}
  </div>
  <ol class="dd-list">
    @foreach($node->children as $child)
      @include('admin.components.nestedset-node', ['node' => $child])
    @endforeach
  </ol>
</li>

resources/views/admin/components/page-form.blade.php
{!! Form::hidden('id', (!empty($article->id))? $article->id : '') !!}
{!! Form::hidden('parent_id', (!empty($article->parent) ? $article->parent->id : 0)) !!}
{!! Form::hidden('order', (!empty($article->order))? $article->order : 0) !!}


{{-- Validation errors --}}
@foreach ($errors->all() as $error)
    <span class="help-block">{{ $error }}</span>
@endforeach

  {{-- tabs --}}
  <div class="panel-heading">
    <div class="">

    </div>
    <div class="edit-details">
      @if(isset($article->id))
      <div class="created_at">
        {!! Form::text('created_at', $article->created_at->format('d.m.Y'), ['class' => 'form-control']) !!}
      </div>
      @endif
      {{-- Is published ? --}}
      <div class="is-published">
          <label>{!! Form::checkbox('published', 1, null) !!}<span>{{__('admin.published')}}</span></label>
      </div>
    </div>
  </div>
  <div class="panel-body">
    {{-- Title --}}
    <div class="form-group {!! $errors->has('title') ? 'has-error' : '' !!}">
      <label for="title">Title</label>
      {!! Form::text('title', (!empty($article->id) && !empty($article->title))? $article->title : old('title'), ['class' => 'form-control', 'placeholder' => 'Title']) !!}
      <span class="slug">
        @if(isset($article->slug))
        <i class="fa fa-link "></i>&nbsp;{{ (!empty($article->id) && !empty($article->slug)) ? $article->slug : '' }}
        @endif
      </span>
    </div>
    {{-- Intro --}}
    <div class="form-group {!! $errors->has('intro') ? 'has-error' : '' !!}">
      <label for="intro">Intro</label>
      {!! Form::textarea('intro', (!empty($article->id) && !empty($article->intro))? $article->intro : old('intro'), ['class' => 'form-control md-editor', 'placeholder' => 'Introduction', 'rows' => '5']) !!}
    </div>
    {{-- Text --}}
    <div class="form-group {!! $errors->has('text') ? 'has-error' : '' !!}">
      <label for="text">Text</label>
      {!! Form::textarea('text', (!empty($article->id) && !empty($article->text))? $article->text : old('text'), ['class' => 'form-control md-editor', 'id' => 'editor', 'placeholder' => 'Text']) !!}
    </div>
  </div>
@include('admin.components.form-submit')

resources/views/admin/components/table-row-pages.blade.php
<tr
  class="published published-{!! $node->published !!}"
  data-mediatable-type="{!! snake_case(str_plural(class_basename($node))) !!}"
  data-parent-id="{!! $node->parent_id !!}"
  data-article-id="@if(!empty($node->id)){{$node->id}}@endif"
>
  <td>
    <i class="fa fa-circle fa-published"></i>
    <?php $route_name = 'admin.'.snake_case(str_plural(class_basename($node))).'.edit'; ?>
    {!! link_to_route($route_name, $node->title, [$node->id], ['class' => '']) !!}
  </td>
  @if($parent_id == 0)
    <td class="attribute">
      <a href="{{ route('admin.pages.index', $node->id) }}">&darr; </a></td>
  @else
  <td class="attribute time">{{ $node->created_at }}</td>
  @endif
  {{-- @if(count($node->children) > 0)
    <table>
    @foreach ($node->children  as $node)
      @include('admin.components.table-row-pages')
    @endforeach
    </table>
  @endif --}}
</tr>

resources/views/admin/components/table-row.blade.php
<tr
  class="published published-{!! $node->published !!}"
  data-mediatable-type="{!! snake_case(str_plural(class_basename($node))) !!}"
  data-article-id="@if(!empty($node->id)){{$node->id}}@endif"  
>
<td>
  <i class="fa fa-circle fa-published"></i>
  <?php $route_name = 'admin.'.snake_case(str_plural(class_basename($node))).'.edit'; ?>
  {!! link_to_route($route_name, $node->title, [$node->id], ['class' => '']) !!}
</td>
<td class="attribute time">{{ $node->created_at }}</td>
</tr>